{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block content %}
    
    <div class="row justify-content-center">
        <div class="col-sm-4">
                <h1>Sign In</h1>
    <form action="" method="post" novalidate>
        {{ form.hidden_tag() }}
        <p>
            {{ form.username.label }}<br>
            {{ form.username(size=32, class="form-control") }}<br>
            {% for error in form.username.errors %}
            <span style="color: red;">[{{ error }}]</span>
            {% endfor %}
        </p>
        <p>
            {{ form.password.label }}<br>
            {{ form.password(size=32, class="form-control") }}<br>
            {% for error in form.password.errors %}
            <span style="color: red;">[{{ error }}]</span>
            {% endfor %}
        </p>
        <p>{{ form.remember_me() }} {{ form.remember_me.label }}</p>
        <p>{{ form.submit(class="btn btn-primary") }}</p>
    </form>
</div>
</div>
{% endblock %}